I can't start the Xampp services

Problems with the Linux version of XAMPP, questions, comments, and anything related.

I can't start the Xampp services

Postby gabrielmulle » 27. May 2016 22:57

Dear all,

I just started using linux (1 day ago), and now I am a little bit confused about using Xampp. PS: I already used Xampp and Wampp in windows without any issue.
First of all, I downloaded the version "xampp-linux-x64-7.0.6-0-installer.run" and saved in Downloads folder. I downloaded this version because I am using Ubuntu 16.04 LTS and I heard that this version uses PHP7 ...

To install I did this:

// changed to Downloads folder
Code: Select all
cd Downloads/

// then executed these commands:
Code: Select all
chmod +x xampp-linux-x64-7.0.6-0-installer.run

Code: Select all
sudo ./xampp-linux-x64-7.0.6-0-installer.run


So, the installation wizard poped out and I installed.
Image


After the installation finished, I tried to start the services, but instead they appear in red and status as stopped.
Image


This is the "Application log":
Image


Starting all servers...
Starting MySQL Database...

Starting Apache Web Server...
/opt/lampp/apache2/scripts/ctl.sh : httpd started
Starting ProFTPD...
Exit code: 8
Stdout:
Checking syntax of configuration file
proftpd config test fails, aborting
Stderr:
gabriel-ubuntu proftpd[29274]: warning: unable to determine IP address of 'gabriel-ubuntu'
gabriel-ubuntu proftpd[29274]: error: no valid servers configured
gabriel-ubuntu proftpd[29274]: Fatal: error processing configuration file '/opt/lampp/etc/proftpd.conf'



Now, I am not sure, but I think I know why I am facing this problem.
Right after I installed the Ubuntu, I performed some steps according a tutorial I saw in youtube, and I executed the following commands in terminal:

Code: Select all
sudo apt-get install apache2

Code: Select all
sudo apt-get install php7.0

Code: Select all
sudo apt-get install mysql-server

Code: Select all
sudo apt-get install phpmyadmin


Not sure but maybe this is causing a conflict with xampp.

What u guys think?

Thanks
Gabriel
gabrielmulle
 
Posts: 1
Joined: 27. May 2016 21:33
XAMPP version: 7.0.6-0
Operating System: Ubuntu 16.04

Re: I can't start the Xampp services

Postby Nobbie » 28. May 2016 21:37

gabrielmulle wrote:
Code: Select all
sudo apt-get install apache2

Code: Select all
sudo apt-get install php7.0

Code: Select all
sudo apt-get install mysql-server

Code: Select all
sudo apt-get install phpmyadmin


Not sure but maybe this is causing a conflict with xampp.


Exactly. Now you have all of these servers "doubled" and they collide to each other. You screwed up your Linux. I honestly cannot understand why you did so. I am pretty sure that there is not even one tutorial that tells you to install Xampp and also to install apache2, php7 etc. from the Ubuntu repositorys.

You have to de-install/delete one of these installations, either Xampp or all the four tools coming by Ubuntu. It might be a good idea to start from scratch and clean up everyting, then install Ubuntu and finally Xampp or the servers coming with Ubuntu.
Nobbie
 
Posts: 8780
Joined: 09. March 2008 13:04


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 5 guests